
<?php $__env->startSection('pagetitle', 'Category Filte'); ?>
<?php $__env->startSection('subtitle', 'Set'); ?>
<?php $__env->startSection('page_css'); ?>
<link href="<?php echo e(url('public/assets/select2/css/select2.min.css')); ?>" rel="stylesheet" type="text/css"/>
<link href="<?php echo e(url('public/assets/summernote/dist/summernote.css')); ?>" rel="stylesheet" type="text/css"/>
<link href="<?php echo e(url('public/assets/jquery-multi-select/css/multi-select.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="<?php echo e(url('/')); ?>"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="<?php echo e(redirect()->back()->getTargetUrl()); ?>"><?php echo $__env->yieldContent('pagetitle'); ?></a></li>
                    <li class="active"><strong><?php echo $__env->yieldContent('subtitle'); ?></strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            <?php echo $__env->yieldContent('pagetitle'); ?> <small> <?php echo $__env->yieldContent('subtitle'); ?></small>
                        </header>
                        <div class="panel-body">
                            <div class="adv-table">
                                <table  class="display table table-bordered table-striped" id="dynamic-table">
                                <thead>
                                <tr>
                                    <th>Sr.</th>
                                    <th>AV Id</th>
                                    <th>Local Id</th>
                                    <th>Category Name</th>
                                    <th>Status</th>
                                    <th>Category under products</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php 
                                    $counter = 0;
                                    $published =0;
                                ?>
                                <?php $__currentLoopData = $categoriesFilter; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $counter++ ?>
                                <tr class="gradeX">
                                    <td><?php echo e($counter); ?></td>
                                    <td><?php echo e($category->av_id); ?></td>
                                    <td><?php echo e($category->id); ?></td>
                                    <td><?php echo e($category->name); ?></td>
                                    <?php if($category->published == 1): ?>
                                        <td><?php echo e('True'); ?></td>
                                    <?php else: ?>
                                        <td><?php echo e('False'); ?></td>
                                    <?php endif; ?>
                                    
                                    <td><?php echo e($category->products_count); ?></td>
                                    <td>
                                        <a href="<?php echo e(url('categories/category_sync/'.$category->av_id)); ?>" class="btn btn-info btn-sm"><i class="fa fa-rotate-left"></i> Category Sync</a>
                                        <a href="<?php echo e(url('product/category_sync/'.$category->av_id)); ?>" class="btn btn-primary btn-sm"><i class="fa fa-rotate-left"></i> Products Sync</a>
                                        <a href="<?php echo e(url('product/category_show/'.$category->av_id)); ?>" class="btn btn-success btn-sm"><i class="fa fa-eye"></i> Products View</a>
                                        <a href="<?php echo e(url('product/category_remove/'.$category->av_id)); ?>" class="btn btn-danger btn-sm"><i class="fa fa-trash-o"></i> Products Remove</a>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <th>Sr.</th>
                                    <th>AV Id</th>
                                    <th>Local Id</th>
                                    <th>Category Name</th>
                                    <th>Status</th>
                                    <th>Category under products</th>
                                    <th>Action</th>
                                </tr>
                                </tfoot>
                                </table>
                            </div><br><br><br>
                            <form method="post" action="<?php echo e(url('categories-filter/store')); ?>" class="form-horizontal tasi-form" enctype="multipart/form-data">
                                <?php echo e(csrf_field()); ?>

                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Category Filter</label>
                                    <div class="col-sm-5">
                                        <select name="cat_filter[]" id="" class="form-control select2_multiple" multiple="multiple">
                                            <?php if($getCategories && isset($getCategories->categories)): ?>
                                                <?php $__currentLoopData = $getCategories->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($category->published == true): ?>
                                                        <?php
                                                            $published++;
                                                        ?>
                                                        <?php if($category->image): ?>
                                                            <option value="<?php echo e($category->id.','.str_replace(',', ' ', $category->name).','.$category->published.','.$category->parent_category_id.','.$category->description.','.$category->image->src); ?>"><?php echo e($category->name); ?></option>
                                                        <?php else: ?>
                                                            <option value="<?php echo e($category->id.','.str_replace(',', ' ', $category->name).','.$category->published.','.$category->parent_category_id.','.$category->description.','); ?>"><?php echo e($category->name); ?></option>
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php endif; ?>
                                        </select>
                                        <input type="checkbox" id="checkbox" >Select All
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Now Total Published Categories: <strong><?php echo e($published); ?></strong></label>
                                </div>
                                <button type="submit" class="btn btn-success">Update Filter</button>
                            </form>
                        </div>
                    </section><br><br><br><br><br><br><br><br>
                </div>
            </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page_js'); ?>
<script type="text/javascript" src="<?php echo e(url('public/assets/select2/js/select2.min.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(url('public/assets/jquery-multi-select/js/jquery.multi-select.js')); ?>"></script>
<!--select2-->
<script type="text/javascript">
    $(document).ready(function () {
        $(".js-example-basic-single").select2();
        $(".select2_multiple").select2({
            placeholder: "Select Categories For Filter",
            multiple: true,
        });
    });
    $("#checkbox").click(function(){
    if($("#checkbox").is(':checked')){
        $("select > option").prop("selected","selected");
    }else{
        $("select > option").removeAttr("selected");
    }
});
</script>
<!--summernote-->
<script type="text/javascript" src="<?php echo e(url('public/assets/summernote/dist/summernote.min.js')); ?>"></script>
<script>
    jQuery(document).ready(function(){

        $('.summernote').summernote({
            height: 200,                 // set editor height

            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor
            fontNamesIgnoreCheck: ["Roboto"],
            fontNames: ["Roboto","Arial", "Arial Black", "Comic Sans MS", "Courier New",
                             "Helvetica Neue", "Helvetica", "Impact", "Lucida Grande",
                             "Tahoma", "Times New Roman", "Verdana"],
            focus: true,                 // set focus to editable area after initializing summernote
        });

    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>