<?php

/* Gain Avdiamond authorization token */
function getAccess_token()
{
    $auth_url = 'http://auth.avdiamond.com/api/Authorize/GetAccessToken';
    $client_id = '596db007-cd5f-4171-9937-388c2ef7ddd7';
    $client_secret = 'eca7aa79-3fa1-4fc9-a20a-fa61511455c6';
    $redirect = 'http://avdiamond.com/';

    $var =  $auth_url. "?client_id=" . $client_id . "&client_secret=" . $client_secret . "&serverUrl=" . $redirect;
    $curl = curl_init();
    curl_setopt_array($curl, array(CURLOPT_URL => $var, CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30000, CURLOPT_SSL_VERIFYHOST => 0,
    CURLOPT_SSL_VERIFYPEER => 0, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => array(), CURLOPT_HTTPHEADER => array("Cache-Control: no-cache",),));
    $response = curl_exec($curl);

    $err = curl_error($curl);
    curl_close($curl);
    if ($err) 
    {
        echo "cURL Error #:" . $err;
    } 
    else 
    {
        $token_data = json_decode($response);
        if($token_data)
        {
            $access_token = $token_data->access_token;
            return $access_token;
        }
        else
        {
            return response()->json(['status' => 'false', 'message' => "Av access token API not responding"]);
        }
    }
}


/* Gain Avdiamond categories */
function getCategories()
{
    $curl = curl_init();

    curl_setopt_array($curl, array(
    CURLOPT_URL => "https://avdiamond.com/api/categories",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_SSL_VERIFYHOST => 0,
    CURLOPT_SSL_VERIFYPEER => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_SSL_VERIFYPEER => false,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => array(
        "Content-Type: application/json",
        "Authorization: Bearer ".getAccess_token(),
        //"Authorization: Bearer ".env("AV_TOKEN"),
    ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);
    if ($err) 
    {
        return "cURL Error #:" . $err;
    } 
    else 
    {
        return json_decode($response);
    }

}

/* Gain Avdiamond Products */
function getproducts()
{
    $curl = curl_init();

    curl_setopt_array($curl, array(
    CURLOPT_URL => "https://avdiamond.com/api/products",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_SSL_VERIFYHOST => 0,
    CURLOPT_SSL_VERIFYPEER => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => array(
        "Content-Type: application/json",
        "Authorization: Bearer ".getAccess_token(),
        //"Authorization: Bearer ".env("AV_TOKEN"),
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);
    if ($err) 
    {
        return "cURL Error #:" . $err;
    } 
    else 
    {
        return json_decode($response);
    }
}


/* Gain avdiamond in stock Products count*/
function getproductsCount()
{
    $curl = curl_init();

    curl_setopt_array($curl, array(
    CURLOPT_URL => "https://avdiamond.com/api/products/count?hide_out_of_stock_products=true",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_SSL_VERIFYHOST => 0,
    CURLOPT_SSL_VERIFYPEER => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => array(
        "Content-Type: application/json",
        "Authorization: Bearer ".getAccess_token(),
        //"Authorization: Bearer ".env("AV_TOKEN"),
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);
    if ($err) 
    {
        return "cURL Error #:" . $err;
    } 
    else 
    {
        return json_decode($response);
    }
}


/* Gain avdiamond in stock Products with limit and page*/
function getproducts_with_limt($page,$limit)
{
    $curl = curl_init();

    curl_setopt_array($curl, array(
    CURLOPT_URL => "https://avdiamond.com/api/products?hide_out_of_stock_products=true&page=".$page."&limit=".$limit,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_SSL_VERIFYHOST => 0,
    CURLOPT_SSL_VERIFYPEER => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => array(
        "Content-Type: application/json",
        "Authorization: Bearer ".getAccess_token(),
        //"Authorization: Bearer ".env("AV_TOKEN"),
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);
    if ($err) 
    {
        return "cURL Error #:" . $err;
    } 
    else 
    {
        return json_decode($response);
    }
}

/* Gain products whose update within the last 20 minutes */

function getProductsUpdate()
{
    $curl = curl_init();

    curl_setopt_array($curl, array(
    CURLOPT_URL => "http://avdiamond.com/api/getUpdatedProducts?seconds=1200",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_SSL_VERIFYHOST => 0,
    CURLOPT_SSL_VERIFYPEER => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => array(
        "Content-Type: application/json",
        "Authorization: Bearer ".getAccess_token(),
        //"Authorization: Bearer ".env("AV_TOKEN"),
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);
    if ($err) 
    {
        return "cURL Error #:" . $err;
    } 
    else 
    {
        return json_decode($response);
    }
}

/* Gain Avdiamond Products with category*/
function getCatProducts($catid)
{
    $curl = curl_init();
    curl_setopt_array($curl, array(
    CURLOPT_URL => "https://avdiamond.com/api/products?hide_out_of_stock_products=true&category_id=".$catid,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_SSL_VERIFYHOST => 0,
    CURLOPT_SSL_VERIFYPEER => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => array(
        "Content-Type: application/json",
        "Authorization: Bearer ".getAccess_token(),
        //"Authorization: Bearer ".env("AV_TOKEN"),
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);
    if ($err) 
    {
        return "cURL Error #:" . $err;
    } 
    else 
    {
        return json_decode($response);
    }
}


function getcollection()
{
    $curl = curl_init();
    curl_setopt_array($curl, array(
    CURLOPT_URL => "https://".env("shop-url")."/admin/api/2020-04/custom_collections.json",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => "",
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => "GET",
    CURLOPT_HTTPHEADER => array(
        "X-Shopify-Access-Token:".env("Password"),
        "Content-Type: application/json"
        ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);

    if ($err) 
    {
        return "cURL Error #:" . $err;
    } 
    else 
    {
        return json_decode($response);
    }
}

?>