@extends('layouts.app')
@section('pagetitle', 'Slider')
@section('subtitle', 'Create New')
@section('page_css')
@endsection
@section('content')
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="{{ url('/slider') }}">@yield('pagetitle')</a></li>
                    <li class="active"><strong>@yield('subtitle')</strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <section class="panel">
                    <header class="panel-heading">
                        @yield('pagetitle') <small> @yield('subtitle')</small>
                    </header>
                    <div class="panel-body">
                        <form method="post" action="{{ url('slider/store') }}" class="form-horizontal tasi-form" enctype="multipart/form-data">
                            {{ csrf_field() }}
                            <div class="form-group">
                                <label class="col-sm-2 col-sm-2 control-label">Slider Image</label>
                                <div class="col-sm-10">
                                    <input type="file" class="form-control" name="image" id="image"  value="{{ old('image')}}" >
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                    <small class="text-danger">Select Home Page slider Image not: (Recommended image Size 967px * 713px)</small>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-success">Create</button>
                        </form>
                    </div>
                </section><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
            </div>
        </div>
@endsection
@section('page_js')
<script>
</script>
@endsection