<?php $__env->startSection('pagetitle'); ?>
<?php echo e($pagetitle); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page_css'); ?>
<style>
.blog-title{
    font-family: Gotham-Webfont,sans-serif;
    font-weight: 350; 
    text-align: center; 
    font-size: 40px; 
    color: #ffff; 
    padding-top: 28%;
}
@media  only screen and (max-width: 768px){
    .slider_mobile{
        height: 313px !important;
    }
}
@media  only screen and (max-width: 425px){
    .slider_mobile {
    height: 275px !important;
    }
}
.slider_mobile{
    height: 432px;
}
.owl-carousel .owl-stage {
   /* display: flex;*/
}

.owl-carousel .owl-item img {
    width: auto;
    height: auto;
}
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="main">
        <div autoscroll="true">
            <div>
                <div>
                    <div class="row shipping-info" style="display: none;">
                        <div class="small-12 columns">
                            <div class="shipping-info__content">
                                <p>Welcome to Peter Petrou Works of Art - <a href="#">Learn More</a></p>
                            </div>
                        </div>
                    </div>
                    <div class="row collapse product-collection js-grid">
                        <div class="small-12 large-6 columns hero slider_mobile">
                            <div class="owl-carousel">
                                <?php $__currentLoopData = $slider_images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $slider_image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="item">
                                    <img  src="<?php echo e(asset('storage/Slider-Images/'.$slider_image->image)); ?>"/>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                        <div class="small-12 large-6 columns">
                            <div class="row">
                                <?php
                                    $count = 0;
                                ?>
                                <?php $__currentLoopData = $section_products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $count++;
                                    ?>
                                    <?php if($item->widget_code < 6): ?>
                                        <div class="small-6 medium-4 xlarge-4 columns box--product js-resize-watch mix <?php if($count == 2 || $count == 4): ?> odd <?php endif; ?>" style="height: 216px;">
                                            <a href="<?php echo e($item->products->category->slug); ?>/<?php echo e($item->products->sub_category->slug); ?>/<?php echo e($item->products->unique_id); ?>/<?php echo e($item->products->slug); ?>" style="height: 216px;">
                                                <span class="box__helper"></span>
                                                <img style="height: 186px;" src="<?php echo e(asset('storage/Product-Images/'.$item->products->product_images[0]->image)); ?>">
                                                <div class="box__hero" style="background-image: url('')"></div>
                                                <div class="box__cta">
                                                    <span><?php echo e($item->products->title); ?></span> 
                                                </div>
                                            </a>
                                        </div>
                                    <?php endif; ?>	
			                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <div class="small-6 medium-4 xlarge-4 columns box--product js-resize-watch mix onHover" style="height: 216px;">
                                    <a href="<?php echo e($sub_category_sec[0]->sub_category->getcategory()->slug); ?>/<?php echo e($sub_category_sec[0]->sub_category->slug); ?>" style="height: 216px;">
                                        <span class="box__helper"></span>
                                        <div class="collections__content">
                                            <span class="collections__header">Discover</span><br>
                                            <span class="collections__name"><?php echo e($sub_category_sec[0]->sub_category->title); ?></span>
                                        </div>
                                    </a>
                                </div>
                                <?php $section_4_products = $section_products[4]->products; ?>
                                <?php if($section_4_products): ?>
                                <div class="small-6 medium-4 xlarge-4 columns box--product js-resize-watch mix odd" style="height: 216px;">
                                    <a href="<?php echo e($section_products[4]->products->category->slug); ?>/<?php echo e($section_products[4]->products->sub_category->slug); ?>/<?php echo e($section_products[4]->products->unique_id); ?>/<?php echo e($section_products[4]->products->slug); ?>" style="height: 216px;">
                                        <span class="box__helper"></span>
                                        <img style="height: 186px;" src="<?php echo e(asset('storage/Product-Images/'.$section_products[4]->products->product_images[0]->image)); ?>">
                                        <div class="box__hero" style="background-image: url('')"></div>
                                        <div class="box__cta">
                                            <span><?php echo e($section_products[4]->products->title); ?></span>
                                        </div>
                                    </a>
                                </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    
                    <div class="row collapse product-collection js-grid">
                        <hero-product-tile style="opacity: 1;" class="onHover">
                            <div class="small-12 large-6 columns hero" style="height: 432px; background-image: url(<?php echo e(asset('storage/Exhibition-Images/'.$exhibition_sec->product_id)); ?>);">
                                
                                
                                
                                
                                <a class="hero__link--hidden hero" target="_self" href="<?php echo e(url('/press-exhibitions')); ?>" style="height: 432px;">
                                    <img class="accessibleHide" src="<?php echo e(asset('storage/Exhibition-Images/'.$exhibition_sec->product_id)); ?>">
                                </a>
                            </div>
                        </hero-product-tile>
                        <div class="small-12 large-6 columns">
                            <div class="row">
                                <div class="small-6 medium-4 xlarge-4 columns box--product js-resize-watch mix" style="height: 216px;">
                                    <a href="<?php echo e($section_products[5]->products->category->slug); ?>/<?php echo e($section_products[5]->products->sub_category->slug); ?>/<?php echo e($section_products[5]->products->unique_id); ?>/<?php echo e($section_products[5]->products->slug); ?>" style="height: 216px;">
                                        <span class="box__helper"></span>
                                        <img style="height: 186px;" src="<?php echo e(asset('storage/Product-Images/'.$section_products[5]->products->product_images[0]->image)); ?>">
                                        <div class="box__hero" style="background-image: url('')"></div>
                                        <div class="box__cta">
                                            <span><?php echo e($section_products[5]->products->title); ?></span> 
                                        </div>
                                    </a>
                                </div>
                                <div class="small-6 medium-4 xlarge-4 columns box--product js-resize-watch mix odd onHover" style="height: 216px;">
                                    <a href="<?php echo e($sub_category_sec[1]->sub_category->getcategory()->slug); ?>/<?php echo e($sub_category_sec[1]->sub_category->slug); ?>" style="height: 216px;">
                                        <span class="box__helper"></span>
                                        <div class="collections__content">
                                            <span class="collections__header">Discover</span><br>
                                            <span class="collections__name"><?php echo e($sub_category_sec[1]->sub_category->title); ?></span>
                                        </div>
                                    </a>
                                </div>
                                <?php
				                    $count_two = 0;
			                    ?>
			                    <?php $__currentLoopData = $section_products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			                        <?php
				                        $count_two++;
			                        ?>
			                        <?php if($item->widget_code > 8): ?>
                                    <div class="small-6 medium-4 xlarge-4 columns box--product js-resize-watch mix <?php if($count_two == 8 || $count_two == 10): ?> odd <?php endif; ?>" style="height: 216px;">
                                        <a href="<?php echo e($item->products->category->slug); ?>/<?php echo e($item->products->sub_category->slug); ?>/<?php echo e($item->products->unique_id); ?>/<?php echo e($item->products->slug); ?>" style="height: 216px;">
                                            <span class="box__helper"></span>
                                            <img style="height: 186px;" src="<?php echo e(asset('storage/Product-Images/'.$item->products->product_images[0]->image)); ?>">
                                            <div class="box__hero" style="background-image: url('')"></div>
                                            <div class="box__cta">
                                                <span><?php echo e($item->products->title); ?></span> 
                                            </div>
                                        </a>
                                    </div>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page_js'); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Frontend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>