<?php $__env->startSection('pagetitle', 'Settings'); ?>
<?php $__env->startSection('subtitle', 'List'); ?>
<?php $__env->startSection('page_css'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-lg-12">
        <!--breadcrumbs start -->
        <ul class="breadcrumb">
            <li><a href="<?php echo e(url('/admin-home')); ?>"><i class="fa fa-home"></i> Home</a></li>
            <li><a href="<?php echo e(url('page')); ?>"><?php echo $__env->yieldContent('pagetitle'); ?></a></li>
            <li class="active"><strong><?php echo $__env->yieldContent('subtitle'); ?></strong></li>
        </ul>
        <!--breadcrumbs end -->
    </div>
</div>
<section class="panel col-md-6" style="height: 250px">
		<header class="panel-heading">
			<div class="row">
				<div class="col-md-6">Site Logo and Favicon</div>
				<div class="col-md-6 text-right"><a class="btn btn-primary" href="#logo_model" data-toggle="modal">Edit</a></div>
			</div>
		</header>
        <table class="table table-hover personal-task">
            <tbody>
              <?php $__currentLoopData = $logo_and_favi; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $logo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <tr>
                <td><?php echo e($key+1); ?></td>
                  <td>
                      <?php echo e($logo->title); ?>

                  </td>
                  <td>
                      <img  src="<?php echo e(asset('storage/Comman-Images/'.$logo->image)); ?>" width="200px" height="50px">
                  </td>
              </tr>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
</section>

  <section class="panel col-md-5" style="height: 250px;margin-left: 30px;">
      <header class="panel-heading">
        <div class="row">
          <div class="col-md-6">Site Tag Line or Slogen</div>
          <div class="col-md-6 text-right"><a class="btn btn-primary" href="#tagline" data-toggle="modal">Edit</a></div>
        </div>
      </header>
          <table class="table table-hover personal-task">
              <tbody>
                <tr>
                  <td>1</td>
                    <td>
                        Tag Line or Slogen:
                    </td>
                    <td>
                      <?php echo e($tagline->title); ?>

                    </td>
                </tr>
              </tbody>
          </table>
  </section>

  <section class="panel col-md-6" style="height: 250px">
      <header class="panel-heading">
        <div class="row">
          <div class="col-md-6">Footer Settings</div>
          <div class="col-md-6 text-right"><a class="btn btn-primary" href="#footer" data-toggle="modal">Edit</a></div>
        </div>
      </header>
          <table class="table table-hover personal-task">
              <tbody>
                <tr>
                  <td>1</td>
                    <td>
                        Designed By:
                    </td>
                    <td>
                      <?php echo e($designe_patner[0]->title); ?>

                    </td>
                </tr>
                <tr>
                    <td>2</td>
                      <td>
                          Partner Name and Link:
                      </td>
                      <td>
                        <a href="<?php echo e($designe_patner[1]->link); ?>" target="_blank"><?php echo e($designe_patner[1]->title); ?></a>
                      </td>
                </tr>
                <tr>
                    <td>3</td>
                      <td>
                          Footer Text on Mobile:
                      </td>
                      <td>
                        <?php echo e($designe_patner[2]->title); ?>

                      </td>
                </tr>
              </tbody>
          </table>
  </section>

  <section class="panel col-md-5" style="height: 250px;margin-left: 30px;">
      <header class="panel-heading">
        <div class="row">
          <div class="col-md-6">Social Links</div>
          <div class="col-md-6 text-right"><a class="btn btn-primary" href="#social_link" data-toggle="modal">Add</a></div>
        </div>
      </header>
          <table class="table table-hover personal-task">
              <tbody>
                <?php $__currentLoopData = $social_links; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $social_link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                  <td><?php echo e($key+1); ?></td>
                  <td><?php echo e($social_link->title); ?></td>
                  <td><i class="<?php echo e($social_link->icon); ?>"></i></td>
                  <td><a href="<?php echo e(url('social/destroy/'.$social_link->id)); ?>" class="btn btn-danger btn-sm">Delete</a></td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </tbody>
          </table>
  </section>

  <section class="panel col-md-6" style="height: 250px;">
    <header class="panel-heading">
      <div class="row">
        <div class="col-md-6">Admin Name or Email</div>
        <div class="col-md-6 text-right"><a class="btn btn-primary" href="#admin_email" data-toggle="modal">Edit</a></div>
      </div>
    </header>
        <table class="table table-hover personal-task">
            <tbody>
              <tr>
                <td>1</td>
                  <td>
                      Admin Name:
                  </td>
                  <td>
                    <?php echo e($admin_email->title); ?>

                  </td>
              </tr>
              <tr>
                <td>2</td>
                  <td>
                      Admin Email:
                  </td>
                  <td>
                    <?php echo e($admin_email->link); ?>

                  </td>
              </tr>
            </tbody>
        </table>
</section>
  
<!-- Logo and Favicon model start here -->
<div class="modal fade " id="logo_model" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title">Logo and Favicon Setting</h4>
        </div>
        <div class="modal-body">
          <form method="post" action="<?php echo e(url('setting/logo-favi')); ?>" class="form-horizontal tasi-form" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>

            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Logo</label>
                <div class="col-sm-10">
                    <input type="file" class="form-control" name="logo" id="logo">
                    <small class="text-danger"><?php echo e($errors->first('logo')); ?></small>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Favicon</label>
                <div class="col-sm-10">
                    <input type="file" class="form-control" name="favi" id="favi">
                    <small class="text-danger"><?php echo e($errors->first('favi')); ?></small>
                </div>
            </div>
        </div>
        <div class="modal-footer">
          <button data-dismiss="modal" class="btn btn-default" type="button">Close</button>
          <button class="btn btn-success" type="submit">Save changes</button>
        </div>
        </form>
      </div>
    </div>
</div>
<!-- Logo and Favicon model end here -->

<!-- TagLine model start here -->
<div class="modal fade " id="tagline" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title">Tag Line or Slogen Setting</h4>
        </div>
        <div class="modal-body">
          <form method="post" action="<?php echo e(url('setting/tagline')); ?>" class="form-horizontal tasi-form" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>

            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Tag Line</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="tagline" id="tagline" value="<?php echo e($tagline->title); ?>">
                    <small class="text-danger"><?php echo e($errors->first('tagline')); ?></small>
                </div>
            </div>
        </div>
        <div class="modal-footer">
          <button data-dismiss="modal" class="btn btn-default" type="button">Close</button>
          <button class="btn btn-success" type="submit">Save changes</button>
        </div>
        </form>
      </div>
    </div>
</div>
<!-- Tagline model end here -->

<!-- Footer model start here -->
<div class="modal fade " id="footer" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title">Footer Setting</h4>
        </div>
        <div class="modal-body">
          <form method="post" action="<?php echo e(url('setting/footer')); ?>" class="form-horizontal tasi-form" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>

            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Designed By</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="designe" id="designe" value="<?php echo e($designe_patner[0]->title); ?>">
                    <small class="text-danger"><?php echo e($errors->first('designe')); ?></small>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Partner Text</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="partner" id="partner" value="<?php echo e($designe_patner[1]->title); ?>">
                    <small class="text-danger"><?php echo e($errors->first('partner')); ?></small>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Partner Link</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="partner_link" id="partner_link" value="<?php echo e($designe_patner[1]->link); ?>">
                    <small class="text-danger"><?php echo e($errors->first('partner_link')); ?></small>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Mobile Footer</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="mobile_footer" id="mobile_footer" value="<?php echo e($designe_patner[2]->title); ?>">
                    <small class="text-danger"><?php echo e($errors->first('mobile_footer')); ?></small>
                </div>
            </div>
        </div>
        <div class="modal-footer">
          <button data-dismiss="modal" class="btn btn-default" type="button">Close</button>
          <button class="btn btn-success" type="submit">Save changes</button>
        </div>
        </form>
      </div>
    </div>
</div>
<!-- Footer model end here -->

<!-- Social Links model start here -->
<div class="modal fade " id="social_link" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title">Social Link</h4>
        </div>
        <div class="modal-body">
          <form method="post" action="<?php echo e(url('social/create')); ?>" class="form-horizontal tasi-form" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>

            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Title</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="title" id="title">
                    <small class="text-danger"><?php echo e($errors->first('title')); ?></small>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Link</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="link" id="link">
                    <small class="text-danger"><?php echo e($errors->first('link')); ?></small>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 col-sm-2 control-label">Icon</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" name="icon" id="icon">
                    <small class="text-danger">Like: fa fa-cogs</small>
                </div>
            </div>
        </div>
        <div class="modal-footer">
          <button data-dismiss="modal" class="btn btn-default" type="button">Close</button>
          <button class="btn btn-success" type="submit">Create</button>
        </div>
        </form>
      </div>
    </div>
</div>
<!-- Social Links end here -->

<!-- Admin Email model start here -->
<div class="modal fade " id="admin_email" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Admin Email Setting</h4>
      </div>
      <div class="modal-body">
        <form method="post" action="<?php echo e(url('setting/email')); ?>" class="form-horizontal tasi-form" enctype="multipart/form-data">
          <?php echo e(csrf_field()); ?>

          <div class="form-group">
              <label class="col-sm-2 col-sm-2 control-label">Admin Name</label>
              <div class="col-sm-10">
                  <input type="text" class="form-control" name="name" id="name" value="<?php echo e($admin_email->title); ?>">
                  <small class="text-danger"><?php echo e($errors->first('name')); ?></small>
              </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 col-sm-2 control-label">Admin Email</label>
            <div class="col-sm-10">
                <input type="text" class="form-control" name="email" id="email" value="<?php echo e($admin_email->link); ?>">
                <small class="text-danger"><?php echo e($errors->first('email')); ?></small>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button data-dismiss="modal" class="btn btn-default" type="button">Close</button>
        <button class="btn btn-success" type="submit">Save changes</button>
      </div>
      </form>
    </div>
  </div>
</div>
<!-- Admin Email model end here -->
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page_js'); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>